Bug 1600711 - lcgdm: dpm-python3 requires both Python 2 and Python 3
Summary: lcgdm: dpm-python3 requires both Python 2 and Python 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lcgdm
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ricardo Rocha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2018-07-12 20:22 UTC by Iryna Shcherbina
Modified: 2019-04-09 03:32 UTC (History)
6 users (show)

Fixed In Version: lcgdm-1.12.0-2.fc30 lcgdm-1.12.0-2.el6 lcgdm-1.12.0-2.fc28 lcgdm-1.12.0-2.fc29 lcgdm-1.12.0-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-09 00:02:16 UTC


Attachments (Terms of Use)

Description Iryna Shcherbina 2018-07-12 20:22:44 UTC
The dpm-python3 (1.10.0-10.fc29) RPM requires both Python 2 and Python 3:

$ dnf --repo=rawhide repoquery --requires dpm-python3 | grep python
/usr/bin/python2
libpython3.7m.so.1.0()(64bit)
python(abi) = 3.7

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error: for
example, a stray "/usr/bin/python" shebang in a Python 3 package can
introduce a Python 2 dependency.

Please split your package, or remove the stray dependencies.
There is a section on shebangs in the Python RPM Porting Guide [0]
which covers this issue.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 28 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!


[0] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Comment 1 Mattias Ellert 2018-08-12 07:40:51 UTC
https://src.fedoraproject.org/rpms/lcgdm/pull-request/2 fixes this issue.

Comment 2 Jan Kurik 2018-08-14 09:53:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 3 Petr Viktorin 2019-01-07 15:02:01 UTC
Please also switch the unversioned Requires `MySQL-python` and `python-lxml` to `python2-MySQL` and `python2-lxml`.

Comment 4 Fedora Update System 2019-03-11 12:07:07 UTC
lcgdm-1.12.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-5ecb4dbc1f

Comment 5 Fedora Update System 2019-03-11 12:07:11 UTC
lcgdm-1.12.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6068d850ad

Comment 6 Fedora Update System 2019-03-11 12:07:19 UTC
lcgdm-1.12.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-854474f737

Comment 7 Fedora Update System 2019-03-11 12:07:23 UTC
lcgdm-1.12.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5628290925

Comment 8 Fedora Update System 2019-03-11 12:07:32 UTC
lcgdm-1.12.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-12d60fd3d2

Comment 9 Fedora Update System 2019-03-11 14:42:05 UTC
lcgdm-1.12.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5628290925

Comment 10 Fedora Update System 2019-03-11 20:01:12 UTC
lcgdm-1.12.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-12d60fd3d2

Comment 11 Fedora Update System 2019-03-11 20:48:57 UTC
lcgdm-1.12.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6068d850ad

Comment 12 Fedora Update System 2019-03-11 22:26:21 UTC
lcgdm-1.12.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-854474f737

Comment 13 Fedora Update System 2019-03-11 22:29:50 UTC
lcgdm-1.12.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-5ecb4dbc1f

Comment 14 Fedora Update System 2019-03-13 13:25:50 UTC
lcgdm-1.12.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3ca5c1214b

Comment 15 Fedora Update System 2019-03-13 13:25:54 UTC
lcgdm-1.12.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1b36e7b556

Comment 16 Fedora Update System 2019-03-13 13:26:01 UTC
lcgdm-1.12.0-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7b5144fde4

Comment 17 Fedora Update System 2019-03-13 13:26:04 UTC
lcgdm-1.12.0-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0b948d78fd

Comment 18 Fedora Update System 2019-03-13 13:26:12 UTC
lcgdm-1.12.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b8cd6e4dce

Comment 19 Fedora Update System 2019-03-13 15:36:59 UTC
lcgdm-1.12.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0b948d78fd

Comment 20 Fedora Update System 2019-03-13 18:00:15 UTC
lcgdm-1.12.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3ca5c1214b

Comment 21 Fedora Update System 2019-03-13 19:08:30 UTC
lcgdm-1.12.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7b5144fde4

Comment 22 Fedora Update System 2019-03-13 19:16:26 UTC
lcgdm-1.12.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b8cd6e4dce

Comment 23 Fedora Update System 2019-03-14 18:51:30 UTC
lcgdm-1.12.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1b36e7b556

Comment 24 Fedora Update System 2019-04-09 00:02:16 UTC
lcgdm-1.12.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2019-04-09 01:03:31 UTC
lcgdm-1.12.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2019-04-09 01:13:18 UTC
lcgdm-1.12.0-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2019-04-09 02:18:42 UTC
lcgdm-1.12.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2019-04-09 03:32:28 UTC
lcgdm-1.12.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.